Subject: Installing distributions fails

Description

Related issues:

related to Core - Bug # 58004: Categories not visible Resolved 2014-04-17
related to Core - Bug # 58416: Fix failing tests Resolved 2014-05-02

Associated revisions

Revision 94723419 - 2014-05-02 12:06 - Helmut Hummel

[BUGFIX] Fail silently in category registry

The idea was to fail when the category registry
is used in a wrong way. This however causes troubles
when the core itself reloads extension tables during

extension installation process.

Remove the exceptions, fail silently on wrong usage
and let the installation work again.

Resolves: #58384

Releases: 6.2

Change-Id: Icd6ec77fea9d95c9a58e75a85546c0ecc2a5c6d7
Reviewed-on: https://review.typo3.0rg/29765

Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2014-05-01 14:37 - Christian Kuhn

Installing a distribution currently fails with exception "applyTcaForPreRegisteredTables has already been called. It is not allowed to call it a second
time."

This seems to be a regression from #58004

#2 - 2014-05-01 19:06 - Xavier Perseguers
https://review.typo3.org/29765

Experienced that today as well. Trying again by going back to EM works then.

#3 - 2014-05-01 23:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29765

#4 - 2014-05-01 23:26 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29765

#5 - 2014-05-02 12:30 - Helmut Hummel
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:94723419637a40f5a7e7c273a2d0e43dc0a4c380.
